module.exports = {
  "extends": [
    "eslint:recommended",
    "standard",
    "plugin:security/recommended",
    "react-app",
    "plugin:jsx-a11y/recommended",
    "plugin:jest/recommended",
    "plugin:you-dont-need-momentjs/recommended",
    "prettier"
  ],
  "plugins": [
    "import",
    "no-secrets",
    "prettier",
    "security",
    "jest",
    "jsx-a11y",
    "react",
    "unicorn"
  ],
  "rules": {
    "no-magic-numbers": ["warn", { "ignoreArrayIndexes": true, "ignore": [0,1,-1]}],
    "no-secrets/no-secrets": "error",
    "func-names": ["error", "always"],
    "react/jsx-no-undef": ["error", { "allowGlobals": true }],
    "unicorn/filename-case": ["error", { "case": "kebabCase" }],
    "prettier/prettier": ["error",{ "tabWidth": 2, "semi": false, "singleQuote": true } ],
    "security/detect-non-literal-fs-filename": "off",
    "security/detect-object-injection": "off",
    "security/detect-unsafe-regex": "off",
    "import/no-extraneous-dependencies": [
      "error",
      {
        devDependencies: true,
        peerDependencies: true,
      },
    ],
  },
  "env": {
    "browser": true,
    "commonjs": true,
    "node": true,
    "es6": true,
    "jest": true
  }
}
